=== src/CMakeLists.txt ===
--- 
+++ 
@@ -79,12 +79,15 @@
     CDlgEditRoute.cpp
     CDlgMapTDBConfig.cpp
     CDlgScreenshot.cpp
+    CDlgTrackFilter.cpp
+    CDlgSetupGarminIcons.cpp
     CQlb.cpp
     CGpx.cpp
     IDevice.cpp
     CDeviceQLandkarteM.cpp
     CDeviceGarmin.cpp
     CDeviceMikrokopter.cpp
+    CDeviceNMEA.cpp
     CCreateMapOSM.cpp
     CCreateMapQMAP.cpp
     CCreateMapGeoTiff.cpp
@@ -142,7 +145,11 @@
     CGarminIndex.cpp
     CGarminTile.cpp
     CGarminExport.cpp
+    IGarminTyp.cpp
+    CGarminTyp.cpp
+    CGarminTypNT.cpp
     CMapTDB.cpp
+    CHelpButton.cpp
 )
 
 if (WIN32)
@@ -217,12 +224,15 @@
     CDlgEditRoute.h
     CDlgMapTDBConfig.h
     CDlgScreenshot.h
+    CDlgTrackFilter.h
+    CDlgSetupGarminIcons.h
     CQlb.h
     CGpx.h
     IDevice.h
     CDeviceQLandkarteM.h
     CDeviceGarmin.h
     CDeviceMikrokopter.h
+    CDeviceNMEA.h
     CCreateMapOSM.h
     CCreateMapQMAP.h
     CCreateMapGeoTiff.h
@@ -278,7 +288,12 @@
     CGarminTile.h
     Garmin.h
     CGarminExport.h
+    IGarminTyp.h
+    CGarminTyp.h
+    CGarminTypNT.h
     CMapTDB.h
+    CAppOpts.h
+    CHelpButton.h
 )
 
 SET(qlandkarte_UIS
@@ -304,6 +319,8 @@
     IDlgEditRoute.ui
     IDlgMapTDBConfig.ui
     IDlgScreenshot.ui
+    IDlgTrackFilter.ui
+    IDlgSetupGarminIcons.ui
     ICreateMapOSM.ui
     ICreateMapQMAP.ui
     ICreateMapGeoTiff.ui
@@ -316,7 +333,7 @@
     ILiveLogToolWidget.ui
     IOverlayToolWidget.ui
     IGarminExport.ui
-
+    IHelpDlg.ui
 )
 
 SET(qlandkarte_RCS
@@ -380,13 +397,19 @@
        qt4_add_translation(qlandkarte_QM_FILES ${TRANSLATIONS_FILES})
     endif (UPDATE_TRANSLATIONS)
 
-    if (UNIX AND NOT WIN32)
+    if (UNIX AND NOT WIN32 AND NOT APPLE)
  	 install(
          	 FILES
                    ${qlandkarte_QM_FILES}
     	     DESTINATION
                    ${DATA_INSTALL_PREFIX}/qlandkartegt/translations)
-    endif (UNIX AND NOT WIN32)
+    endif (UNIX AND NOT WIN32 AND NOT APPLE)
+    if (APPLE)
+  	  add_custom_target(locversion.plist ALL
+  		COMMAND
+  			${CMAKE_SOURCE_DIR}/MacOSX/mklocversion.sh ${MAC_BUNDLE_PATH} ${qlandkarte_QM_FILES}
+  	  )
+    endif (APPLE)
 ENDIF(ENABLE_TRANSLATION)
 
 if(UNIX)
@@ -406,21 +429,37 @@
   ${CMAKE_SOURCE_DIR}/include
   ${CMAKE_SOURCE_DIR}/3rdparty/SerialPort
   ${CMAKE_SOURCE_DIR}/3rdparty/QMKToolBox
+  ${CMAKE_SOURCE_DIR}/3rdparty/getopt
   ${EXIF_INCLUDE_DIRS}
   ${DMTX_INCLUDE_DIRS}
 )
 
-add_executable(qlandkartegt
-  ${qlandkarte_SRCS}
-  ${qlandkarte_HDRS}
-  ${qlandkarte_UI_HDRS}
-  ${qlandkarte_RC_SRCS}
-  ${qlandkarte_MOC_SRCS}
-  ${qlandkarte_QM_FILES}
-)
+set(qlandkarte_ALLINP
+    ${qlandkarte_SRCS}
+    ${qlandkarte_HDRS}
+    ${qlandkarte_UI_HDRS}
+    ${qlandkarte_RC_SRCS}
+    ${qlandkarte_MOC_SRCS}
+    ${qlandkarte_QM_FILES}
+)
+
+if (APPLE)
+  set(MAC_EXTRA_RES
+  	  ${CMAKE_SOURCE_DIR}/MacOSX/${MAC_ICON_FILE}
+  )
+  set_source_files_properties(
+  	${MAC_EXTRA_RES} ${qlandkarte_QM_FILES}
+  PROPERTIES
+  	MACOSX_PACKAGE_LOCATION Resources
+  )
+  add_executable(${PROGNAME} MACOSX_BUNDLE ${qlandkarte_ALLINP} ${MAC_EXTRA_RES})
+  add_custom_target(mac-deploy macdeployqt "${MAC_BUNDLE_PATH}")
+else(APPLE)
+  add_executable(${PROGNAME} ${qlandkarte_ALLINP})
+endif(APPLE)
 
 target_link_libraries(
-    qlandkartegt
+    ${PROGNAME}
       ${GDAL_LIBRARIES}
       ${PROJ_LIBRARIES}
       ${QT_LIBRARIES}
@@ -432,11 +471,12 @@
       ${DMTX_LIBRARIES}
       SerialPort
       QMKToolBox
+      getopt
   )
 
 install(
     TARGETS
-      qlandkartegt
+      ${PROGNAME}
     DESTINATION
       ${BIN_INSTALL_DIR}
 )
@@ -444,7 +484,7 @@
 if (WIN32)
   set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /subsystem:windows")
   add_definitions(-D_CRT_SECURE_NO_DEPRECATE )
-  target_link_libraries(qlandkartegt
+  target_link_libraries(${PROGNAME}
         ${QT_LIBRARIES}
         ${QT_QTNETWORK_LIBRARIES}
         ${QT_QTXML_LIBRARIES}
