=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,28 @@
 find_package(PROJ REQUIRED)
 find_package(EXIF)
 find_package(DMTX)
-
+find_package(GPSD)
+
+find_program(GDALWARP gdalwarp DOC "full path of the gdalwarp application")
+if(GDALWARP)
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DGDALWARP=\\\"${GDALWARP}\\\"")
+else(GDALWARP)
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DGDALWARP=\\\"gdalwarp\\\"")
+endif(GDALWARP)
+
+find_program(GDALTRANSLATE gdal_translate DOC "full path of the gdal_translate application")
+if(GDALTRANSLATE)
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DGDALTRANSLATE=\\\"${GDALTRANSLATE}\\\"")
+else(GDALTRANSLATE)
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DGDALTRANSLATE=\\\"gdal_translate\\\"")
+endif(GDALTRANSLATE)
+
+find_program(GPSBABEL gpsbabel DOC "full path of the gpsbabel application")
+if(GPSBABEL)
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DGPSBABEL=\\\"${GPSBABEL}\\\"")
+else(GPSBABEL)
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DGPSBABEL=\\\"gpsbabel\\\"")
+endif(GPSBABEL)
 
 include(${QT_USE_FILE})
 
@@ -81,6 +102,7 @@
     CDlgScreenshot.cpp
     CDlgTrackFilter.cpp
     CDlgSetupGarminIcons.cpp
+    CDlgConfig3D.cpp
     CQlb.cpp
     CGpx.cpp
     IDevice.cpp
@@ -92,12 +114,13 @@
     CCreateMapQMAP.cpp
     CCreateMapGeoTiff.cpp
     CCreateMapGridTool.cpp
-    CCreateMapWMS.cpp
+    CCreateMapFineTune.cpp
     CMapUndoCommandMove.cpp
     CMapDB.cpp
     CMapToolWidget.cpp
     CMapEditWidget.cpp
-    CUndoStack.cpp
+    CUndoStackModel.cpp
+    CUndoStackView.cpp
     CTrackUndoCommandDelete.cpp
     CTrackUndoCommandDeletePts.cpp
     CTrackUndoCommandPurgePts.cpp
@@ -142,7 +165,6 @@
     CGarminStrTblUtf8.cpp
     CGarminPolygon.cpp
     CGarminPoint.cpp
-    CGarminIndex.cpp
     CGarminTile.cpp
     CGarminExport.cpp
     IGarminTyp.cpp
@@ -150,6 +172,7 @@
     CGarminTypNT.cpp
     CMapTDB.cpp
     CHelpButton.cpp
+    CSpline.cpp
 )
 
 if (WIN32)
@@ -226,6 +249,7 @@
     CDlgScreenshot.h
     CDlgTrackFilter.h
     CDlgSetupGarminIcons.h
+    CDlgConfig3D.h
     CQlb.h
     CGpx.h
     IDevice.h
@@ -237,11 +261,12 @@
     CCreateMapQMAP.h
     CCreateMapGeoTiff.h
     CCreateMapGridTool.h
-    CCreateMapWMS.h
+    CCreateMapFineTune.h
     CMapDB.h
     CMapToolWidget.h
     CMapEditWidget.h
-    CUndoStack.h
+    CUndoStackModel.h
+    CUndoStackView.h
     CTrackUndoCommandDelete.h
     CTrackUndoCommandSelect.h
     CTrack.h
@@ -284,7 +309,6 @@
     CGarminStrTblUtf8.h
     CGarminPolygon.h
     CGarminPoint.h
-    CGarminIndex.h
     CGarminTile.h
     Garmin.h
     CGarminExport.h
@@ -294,6 +318,7 @@
     CMapTDB.h
     CAppOpts.h
     CHelpButton.h
+    CSpline.h
 )
 
 SET(qlandkarte_UIS
@@ -321,11 +346,12 @@
     IDlgScreenshot.ui
     IDlgTrackFilter.ui
     IDlgSetupGarminIcons.ui
+    IDlgConfig3D.ui
     ICreateMapOSM.ui
     ICreateMapQMAP.ui
     ICreateMapGeoTiff.ui
     ICreateMapGridTool.ui
-    ICreateMapWMS.ui
+    ICreateMapFineTune.ui
     IRouteToolWidget.ui
     IStatusDEM.ui
     IDlgProjWizzard.ui
@@ -340,39 +366,57 @@
     resources.qrc
 )
 
+SET (PRIVATE OFF CACHE BOOL "Features for private use only")
 SET (PLOT_3D ON CACHE BOOL "3D Maps with OpenGL")
+SET (GPX_EXTENSIONS OFF CACHE BOOL "Read <extensions> data from tracks in GPX files.")
+
 SET (QL_OPENGL_INCLUDE_DIR "")
 SET (QL_OPENGL_LIBRARIES "")
 
 IF(PLOT_3D AND OPENGL_FOUND)
-    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DPLOT_3D")
-    SET(qlandkarte_HDRS ${qlandkarte_HDRS} CMap3DWidget.h)
-    SET(qlandkarte_SRCS ${qlandkarte_SRCS} CMap3DWidget.cpp)
+    add_definitions(-DPLOT_3D)
+    SET(qlandkarte_HDRS ${qlandkarte_HDRS} CMap3D.h CDlg3DHelp.h)
+    SET(qlandkarte_SRCS ${qlandkarte_SRCS} CMap3D.cpp CDlg3DHelp.cpp)
+    SET(qlandkarte_UIS ${qlandkarte_UIS} IDlg3DHelp.ui)
     SET(QL_OPENGL_INCLUDE_DIR ${QT_QTOPENGL_INCLUDE_DIR} ${OPENGL_INCLUDE_DIR})
     SET(QL_OPENGL_LIBRARIES ${QT_QTOPENGL_LIBRARIES} ${OPENGL_LIBRARIES})
 ENDIF(PLOT_3D AND OPENGL_FOUND)
 
-SET (WMS_CLIENT ON CACHE BOOL "WMS Maps service")
-IF(WMS_CLIENT)
-    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DWMS_CLIENT")
-    SET(qlandkarte_HDRS ${qlandkarte_HDRS} CMapWMS.h)
-    SET(qlandkarte_SRCS ${qlandkarte_SRCS} CMapWMS.cpp)
-ENDIF(WMS_CLIENT)
+
+if(GPX_EXTENSIONS)
+    add_definitions(-DGPX_EXTENSIONS)
+    SET(qlandkarte_HDRS ${qlandkarte_HDRS}  CTrackStatExtensionWidget.h CGpxExtension.h)
+    SET(qlandkarte_SRCS ${qlandkarte_SRCS}  CTrackStatExtensionWidget.cpp CGpxExtension.cpp)
+    SET(qlandkarte_UIS ${qlandkarte_UIS} )
+endif(GPX_EXTENSIONS)
+
+if(GPSD_FOUND)
+    add_definitions(-DHAS_GPSD)
+    SET(qlandkarte_HDRS ${qlandkarte_HDRS} CDeviceGPSD.h )
+    SET(qlandkarte_SRCS ${qlandkarte_SRCS} CDeviceGPSD.cpp)
+else(GPSD_FOUND)
+    SET(GPSD_INCLUDE_DIRS "")
+    SET(GPSD_LIBRARIES "")
+endif(GPSD_FOUND)
 
 IF(EXIF_FOUND)
-    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DHAS_EXIF")
+    add_definitions(-DHAS_EXIF)
 else(EXIF_FOUND)
     set(EXIF_INCLUDE_DIRS "")
     set(EXIF_LIBRARIES "")
 ENDIF(EXIF_FOUND)
 
 IF(DMTX_FOUND)
-    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DHAS_DMTX")
+    add_definitions(-DHAS_DMTX)
 else(EXIF_FOUND)
     set(DMTX_INCLUDE_DIRS "")
     set(DMTX_LIBRARIES "")
 ENDIF(DMTX_FOUND)
 
+IF(PRIVATE)
+    add_definitions(-DPRIVATE)
+ENDIF(PRIVATE)
+
 qt4_wrap_cpp(qlandkarte_MOC_SRCS ${qlandkarte_HDRS})
 qt4_wrap_ui(qlandkarte_UI_HDRS ${qlandkarte_UIS})
 qt4_add_resources(qlandkarte_RC_SRCS ${qlandkarte_RCS})
@@ -380,7 +424,7 @@
 SET (ENABLE_TRANSLATION ON CACHE BOOL "enable translations")
 #-D ENABLE_TRANSLATION:bool=OFF
 IF(ENABLE_TRANSLATION)
-    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DENABLE_TRANSLATION")
+    add_definitions(-DENABLE_TRANSLATION)
 
     file (GLOB TRANSLATIONS_FILES locale/*.ts)
 
@@ -432,6 +476,7 @@
   ${CMAKE_SOURCE_DIR}/3rdparty/getopt
   ${EXIF_INCLUDE_DIRS}
   ${DMTX_INCLUDE_DIRS}
+  ${GPSD_INCLUDE_DIRS}
 )
 
 set(qlandkarte_ALLINP
@@ -455,44 +500,7 @@
   add_executable(${PROGNAME} MACOSX_BUNDLE ${qlandkarte_ALLINP} ${MAC_EXTRA_RES})
   add_custom_target(mac-deploy macdeployqt "${MAC_BUNDLE_PATH}")
 else(APPLE)
-  add_executable(${PROGNAME} ${qlandkarte_ALLINP})
+  add_executable(${PROGNAME} WIN32 ${qlandkarte_ALLINP})
 endif(APPLE)
 
-target_link_libraries(
-    ${PROGNAME}
-      ${GDAL_LIBRARIES}
-      ${PROJ_LIBRARIES}
-      ${QT_LIBRARIES}
-      ${QT_QTNETWORK_LIBRARIES}
-      ${QT_QTXML_LIBRARIES}
-      ${QT_QTSQL_LIBRARIES}
-      ${QL_OPENGL_LIBRARIES}
-      ${EXIF_LIBRARIES}
-      ${DMTX_LIBRARIES}
-      SerialPort
-      QMKToolBox
-      getopt
-  )
-
-install(
-    TARGETS
-      ${PROGNAME}
-    DESTINATION
-      ${BIN_INSTALL_DIR}
-)
-
-if (WIN32)
-  set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /subsystem:windows")
-  add_definitions(-D_CRT_SECURE_NO_DEPRECATE )
-  target_link_libraries(${PROGNAME}
-        ${QT_LIBRARIES}
-        ${QT_QTNETWORK_LIBRARIES}
-        ${QT_QTXML_LIBRARIES}
-        ${QT_QTSQL_LIBRARIES}
-        ${QL_OPENGL_LIBRARIES}
-        ${OPENGL_LIBRARIES}
-        ${QT_LIBRARY_DIR}/qtmain.lib
-        SerialPort
-        QMKToolBox)
-endif (WIN32)
-
+if(MSVC)
