=== debian/changelog ===
qlandkartegt (0.18.3-1) unstable; urgency=low

  * New upstream release.
  * Update dependency on garmin device drivers (needs 0.3.4).

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 06 Jun 2010 18:12:35 -0400

qlandkartegt (0.18.2-1) unstable; urgency=low

  * New upstream release.
  * Switch from CDBS to debhelper's 'dh'.
  * Enabled gpsd support.
  * Enable gpsbabel support.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 12 May 2010 09:51:05 -0400

qlandkartegt (0.18.1-1) unstable; urgency=low

  * New upstream release. Various bugfixes and a new user-specific location
    for the tiles cache.
  * Switch to source package format 3.0 (quilt). Currently no upstream patches
    present.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 04 Apr 2010 18:15:59 -0400

qlandkartegt (0.18.0-1) unstable; urgency=low

  * New upstream release -- merged all Debian patches.

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 06 Mar 2010 08:36:48 -0500

qlandkartegt (0.17.1-1) unstable; urgency=low

  * New upstream release.

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 06 Feb 2010 10:08:35 -0500

qlandkartegt (0.17.0-1) unstable; urgency=low

  * New upstream release.
  * Adding versioned dependency to qlandkartegt-garmin (>= 0.3.2~).
  * Add build-dependencies on libexif-dev (for waypoints from geotagged images
    support) and libdmtx (for waypoints to barcodes support).
  * Bumped Standards-version to 3.8.4, no changes necessary.
  * Small fixes for GCC 4.5 compatibility (Closes: #565091).

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 30 Jan 2010 12:06:27 -0500

qlandkartegt (0.16.0-1) unstable; urgency=low

  * New upstream release.
  * Add a transitional package for upgrades from OLandkarte
    (Closes: #548176).
  * Update debian/copyright for new 3rd-party code.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 08 Nov 2009 09:04:04 -0500

qlandkartegt (0.15.1-1) unstable; urgency=low

  * New upstream release.

 -- Michael Hanke <michael.hanke@gmail.com>  Tue, 22 Sep 2009 14:48:27 -0400

qlandkartegt (0.15.0-1) unstable; urgency=low

  * New upstream release (Closes: #540306).
  * Bumped Standards-version to 3.8.3.0, no changes necessary.

 -- Michael Hanke <michael.hanke@gmail.com>  Tue, 08 Sep 2009 17:14:00 -0400

qlandkartegt (0.13.0-1) unstable; urgency=low

  * Initial release (Closes: #507352).
  * Sponsored upload by Yaroslav Halchenko <yoh@debian.org>.

 -- Michael Hanke <michael.hanke@gmail.com>  Thu, 11 Jun 2009 16:29:18 +0200
