=== debian/control ===
Source: qlandkartegt
Section: x11
Priority: optional
Maintainer: Michael Hanke <michael.hanke@gmail.com>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 7.0.50~), cmake (>= 2.4), libqt4-dev (>= 4.2), libqt4-opengl-dev, libgdal1-dev (>= 1.5.2-3) | libgdal-dev, libproj-dev | proj, imagemagick, libexif-dev, libdmtx-dev, libgps-dev, gpsbabel
Standards-Version: 3.8.4
Homepage: http://www.qlandkarte.org
XS-DM-Upload-Allowed: yes
Vcs-Browser: http://git.debian.org/?p=collab-maint/qlandkartegt.git
Vcs-Git: git://git.debian.org/git/collab-maint/qlandkartegt.git


Package: qlandkartegt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: qlandkarte
Provides: qlandkarte
Recommends: gdal-bin, qlandkartegt-garmin (>= 0.3.4~), gpsbabel
Suggests: gpsd
Description: GPS mapping (GeoTiff and vector) and GPSr management
 This package provides a versatile tool for GPS maps in GeoTiff format as
 well as Garmin's img vector map format. QLandkarteGT is the successor of
 QLandkarte. Among various improvements (e.g. 2D/3D map rendering and
 reduced resource demands) the major difference is its
 device-independent architecture, which is not limited to Garmin devices
 anymore. Therefore, the package also does not include device drivers.
 Drivers for a number of Garmin devices are available from the
 qlandkartegt-garmin package.
 .
 Additionally, QLandkarteGT serves as a frontend to the GDAL tools, to
 make georeferencing of scanned maps feasible for users. In contrast to
 similar tools (e.g. QGis) its straightforward interface is especially
 suited for non-scientific users.


Package: qlandkarte
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, qlandkartegt
Description: Transitional package for QLandkarteGT
 This is a transitional package for the QLandkarte to QLandkarteGT upgrade,
 and can be safely removed after the installation is complete.
