=== src/CMakeLists.txt ===
--- 
+++ 
@@ -91,9 +91,9 @@
     CDlgWptIcon.cpp
     CDlgEditMapLevel.cpp
     CDlgCombineTracks.cpp
+    CDlgCombineDistOvl.cpp
     CDlgProjWizzard.cpp
     CDlgEditText.cpp
-    CDlgEditDistance.cpp
     CDlgCreateWorldBasemap.cpp
     CDlgDelWpt.cpp
     CDlgConvertToTrack.cpp
@@ -103,6 +103,7 @@
     CDlgTrackFilter.cpp
     CDlgSetupGarminIcons.cpp
     CDlgConfig3D.cpp
+    CDlgExport.cpp
     CQlb.cpp
     CGpx.cpp
     IDevice.cpp
@@ -154,6 +155,7 @@
     COverlayText.cpp
     COverlayTextBox.cpp
     COverlayDistance.cpp
+    COverlayDistanceEditWidget.cpp
     IUnit.cpp
     CUnitMetric.cpp
     CUnitImperial.cpp
@@ -238,9 +240,9 @@
     CDlgWptIcon.h
     CDlgEditMapLevel.h
     CDlgCombineTracks.h
+    CDlgCombineDistOvl.h
     CDlgProjWizzard.h
     CDlgEditText.h
-    CDlgEditDistance.h
     CDlgDelWpt.h
     CDlgCreateWorldBasemap.h
     CDlgConvertToTrack.h
@@ -250,6 +252,7 @@
     CDlgTrackFilter.h
     CDlgSetupGarminIcons.h
     CDlgConfig3D.h
+    CDlgExport.h
     CQlb.h
     CGpx.h
     IDevice.h
@@ -298,6 +301,7 @@
     COverlayText.h
     COverlayTextBox.h
     COverlayDistance.h
+    COverlayDistanceEditWidget.h
     IUnit.h
     CUnitMetric.h
     CUnitImperial.h
@@ -337,7 +341,7 @@
     IDlgWptIcon.ui
     IDlgEditMapLevel.ui
     IDlgCombineTracks.ui
-    IDlgEditDistance.ui
+    IDlgCombineDistOvl.ui
     IDlgDelWpt.ui
     IDlgCreateWorldBasemap.ui
     IDlgConvertToTrack.ui
@@ -347,6 +351,7 @@
     IDlgTrackFilter.ui
     IDlgSetupGarminIcons.ui
     IDlgConfig3D.ui
+    IDlgExport.ui
     ICreateMapOSM.ui
     ICreateMapQMAP.ui
     ICreateMapGeoTiff.ui
@@ -358,6 +363,7 @@
     IDiaryEditWidget.ui
     ILiveLogToolWidget.ui
     IOverlayToolWidget.ui
+    IOverlayDistanceEditWidget.ui
     IGarminExport.ui
     IHelpDlg.ui
 )
@@ -442,17 +448,17 @@
     endif (UPDATE_TRANSLATIONS)
 
     if (UNIX AND NOT WIN32 AND NOT APPLE)
- 	 install(
-         	 FILES
+     install(
+             FILES
                    ${qlandkarte_QM_FILES}
-    	     DESTINATION
+             DESTINATION
                    ${DATA_INSTALL_PREFIX}/qlandkartegt/translations)
     endif (UNIX AND NOT WIN32 AND NOT APPLE)
     if (APPLE)
-  	  add_custom_target(locversion.plist ALL
-  		COMMAND
-  			${CMAKE_SOURCE_DIR}/MacOSX/mklocversion.sh ${MAC_BUNDLE_PATH} ${qlandkarte_QM_FILES}
-  	  )
+      add_custom_target(locversion.plist ALL
+        COMMAND
+            ${CMAKE_SOURCE_DIR}/MacOSX/mklocversion.sh ${MAC_BUNDLE_PATH} ${qlandkarte_QM_FILES}
+      )
     endif (APPLE)
 ENDIF(ENABLE_TRANSLATION)
 
@@ -490,17 +496,11 @@
 
 if (APPLE)
   set(MAC_EXTRA_RES
-  	  ${CMAKE_SOURCE_DIR}/MacOSX/${MAC_ICON_FILE}
+      ${CMAKE_SOURCE_DIR}/MacOSX/${MAC_ICON_FILE}
   )
   set_source_files_properties(
-  	${MAC_EXTRA_RES} ${qlandkarte_QM_FILES}
+    ${MAC_EXTRA_RES} ${qlandkarte_QM_FILES}
   PROPERTIES
-  	MACOSX_PACKAGE_LOCATION Resources
+    MACOSX_PACKAGE_LOCATION Resources
   )
   add_executable(${PROGNAME} MACOSX_BUNDLE ${qlandkarte_ALLINP} ${MAC_EXTRA_RES})
-  add_custom_target(mac-deploy macdeployqt "${MAC_BUNDLE_PATH}")
-else(APPLE)
-  add_executable(${PROGNAME} WIN32 ${qlandkarte_ALLINP})
-endif(APPLE)
-
-if(MSVC)
