=== debian/changelog ===
qlandkartegt (0.18.5-1) unstable; urgency=low

  * New upstream release.
  * Bumped Standards-version to 3.9.0, no changes necessary.

 -- Michael Hanke <michael.hanke@gmail.com>  Thu, 29 Jul 2010 09:16:28 -0400

qlandkartegt (0.18.4-1) unstable; urgency=low

  * New upstream release (Closes: #582828).
  * Updated dates in debian/copyright.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 04 Jul 2010 22:20:21 -0400
