## qlandkartegt 1.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,9 +5,9 @@
 
 set(APPLICATION_NAME ${PROJECT_NAME})
 
-set(APPLICATION_VERSION_MAJOR "0")
-set(APPLICATION_VERSION_MINOR "18")
-set(APPLICATION_VERSION_PATCH "5")
+set(APPLICATION_VERSION_MAJOR "1")
+set(APPLICATION_VERSION_MINOR "2")
+set(APPLICATION_VERSION_PATCH "2")
 
 add_definitions(-DVER_MAJOR=${APPLICATION_VERSION_MAJOR} -DVER_MINOR=${APPLICATION_VERSION_MINOR} -DVER_STEP=${APPLICATION_VERSION_PATCH})
 
@@ -47,12 +47,27 @@
 include(CPackConfig.cmake)
 
 # config.h generation
+if (NOT WIN32)
+SET (NATIVE_FILE_DIALOG ON CACHE BOOL "Use OS native file dialog")
+else (NOT WIN32)
+SET (NATIVE_FILE_DIALOG OFF CACHE BOOL "Use OS native file dialog")
+endif (NOT WIN32)
+
+if(NATIVE_FILE_DIALOG)
+    set(FILEDIALOGFLAGS "0")
+else(NATIVE_FILE_DIALOG)
+    set(FILEDIALOGFLAGS "QFileDialog::DontUseNativeDialog")
+endif(NATIVE_FILE_DIALOG)
+
 include(ConfigureChecks.cmake)
 configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
 
 add_subdirectory(3rdparty/SerialPort)
 add_subdirectory(3rdparty/QMKToolBox)
+add_subdirectory(3rdparty/QZip)
+add_subdirectory(3rdparty/QTextHtmlExporter)
 add_subdirectory(3rdparty/getopt)
+add_subdirectory(3rdparty/map2gcm)
 add_subdirectory(src)
 
 if (UNIX AND NOT WIN32 AND NOT APPLE)
@@ -65,7 +80,7 @@
 
   install(
     FILES
-      qlandkartegt.png
+      src/icons/qlandkartegt.png
     DESTINATION
       ${DATA_INSTALL_PREFIX}/pixmaps
   )
