=== debian/changelog ===
qlandkartegt (1.2.2-1) unstable; urgency=low

  * New upstream release.

 -- Michael Hanke <mih@debian.org>  Mon, 18 Jul 2011 15:41:54 -0400

qlandkartegt (1.1.1-1) unstable; urgency=low

  * New upstream release (Closes: #624595).
  * Added build-dep on libqtwebkit-dev.

 -- Michael Hanke <mih@debian.org>  Fri, 29 Apr 2011 21:39:05 -0400

qlandkartegt (1.1.0-1) unstable; urgency=low

  * New upstream release. New features for geocaching activities.

 -- Michael Hanke <mih@debian.org>  Tue, 22 Feb 2011 08:18:59 -0500

qlandkartegt (1.0.0-1) unstable; urgency=low

  * New upstream release.
  * Change maintainer email address.

 -- Michael Hanke <mih@debian.org>  Tue, 18 Jan 2011 11:33:33 -0500

qlandkartegt (0.19.0-1) unstable; urgency=low

  * New upstream release.
  * Bumped Standards-version to 3.9.1, no changes necessary.

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 28 Aug 2010 10:37:32 -0400
