=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: qlandkartegt
 Section: x11
 Priority: optional
-Maintainer: Michael Hanke <michael.hanke@gmail.com>
+Maintainer: Michael Hanke <mih@debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>
-Build-Depends: debhelper (>= 7.0.50~), cmake (>= 2.4), libqt4-dev (>= 4.2), libqt4-opengl-dev, libgdal1-dev (>= 1.5.2-3) | libgdal-dev, libproj-dev | proj, imagemagick, libexif-dev, libdmtx-dev, libgps-dev, gpsbabel
-Standards-Version: 3.9.0
+Build-Depends: debhelper (>= 7.0.50~), cmake (>= 2.4), libqt4-dev (>= 4.2), libqt4-opengl-dev, libgdal1-dev (>= 1.5.2-3) | libgdal-dev, libproj-dev | proj, imagemagick, libexif-dev, libdmtx-dev, libgps-dev, gpsbabel, libqtwebkit-dev
+Standards-Version: 3.9.1
 Homepage: http://www.qlandkarte.org
 XS-DM-Upload-Allowed: yes
 Vcs-Browser: http://git.debian.org/?p=collab-maint/qlandkartegt.git
